# class Chef::ChefFS::DataHandler::UserDataHandler

### Public Instance Methods

normalize(user, entry) click to toggle source

    # File lib/chef/chef_fs/data_handler/user_data_handler.rb, line 7
    def normalize(user, entry)
      normalize_hash(user, {
        'name' => remove_dot_json(entry.name),
        'admin' => false,
        'json_class' => 'Chef::WebUIUser',
        'chef_type' => 'webui_user',
        'salt' => nil,
        'password' => nil,
        'openid' => nil
      })
    end

preserve_key(key) click to toggle source

    # File lib/chef/chef_fs/data_handler/user_data_handler.rb, line 19
    def preserve_key(key)
      return key == 'name'
    end